package com.saye.hrs.mapper.system;

import com.saye.hrs.model.Dicinfo;

import java.util.HashMap;
import java.util.List;

public interface DicinfoMapper {
	//字典表管理
	
	//通过父节点查询
	public List<Dicinfo> findDicinfoTreeNodeList(String parentCode);
	
	//通过diccode查询字典
	public List<Dicinfo> findDicinfoBydiccode(String diccode);
	
	//新增
	public int addDicinfo(HashMap<String,String> map);
	
	//修改
	public int modifyDicinfo(HashMap<String,String> map);
	
	//删除
	public int deleteDicinfo(String diccode);

	public List<HashMap<Object, Object>> selectDicinfoListByCode(String parent_code);
	    
	//通过parentCode和val值查询该父类下值是否重复
	public List<Dicinfo> findDicinfoTreeByCode(HashMap<String,String> map);

	public List<HashMap<Object, Object>> selectDicinfoListByCondition(HashMap<String, String> map);
	
	//通过parentCode查询该字典下的最大值
	public HashMap<Object, Object> getMaxDicValue(HashMap<String,String> map) throws Exception;
}
